## swt4-gtk 4.10.0

=== tests/org.eclipse.swt.tests.gtk/ManualNativeCTests/SwtFixed_native/GTK3/Makefile ===
CFLAGS = `pkg-config --cflags gtk+-3.0` -g
LIBS = `pkg-config --libs gtk+-3.0`
OBJ = simple_button_app.o os_custom.o

simple_button_app: $(OBJ)
	$(CC) $(CFLAGS) -o simple_button_app $(OBJ) $(LIBS) $(LDFLAGS)

clean:
	$(RM) $(OBJ) simple_button_app

all: simple_button_app

## swt4-gtk 4.3.2

=== debian/changelog ===
swt4-gtk (4.3.2-1) unstable; urgency=medium

  [ Jakub Adam ]
  * New upstream release.
  * Removed d/patches/fix-glib-2.35-compatibility.patch.
  * Removed java-config.
  * Removed unnecessary hardening-no-fortify-functions lintian overrides.
  * Don't build libswt-gtk-4-java-gcj.

  [ Ángel Guzmán Maeso ]
  * Update-version-for-package-binaries
  * Remove ancient Conflicts: and Breaks: from libswt-gtk-4-java
  * debian/control
    - Bump Standards-Version to 3.9.5 (no changes)
  * Use sed to patch java sources on 64 bit architectures
    - no need for debian/patches/64* anymore.
  * Move d/patches/common to d/patches.
  * Refresh d/patches/01-make_linux.patch
  * Remove d/patches/fix-libwebkitgtk-1.11.91-compatibility.diff.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 31 Mar 2014 18:47:33 +0200

swt-gtk (3.8.2-3) unstable; urgency=low

  * Fix FTBFS with glib 2.35 (Closes: #710649).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 26 Jun 2013 14:49:25 +0200

swt-gtk (3.8.2-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Tue, 14 May 2013 22:07:29 -0700

swt-gtk (3.8.2-1) experimental; urgency=low

  * New upstream release.
  * Add fix for compatibility with libwebkitgtk-1.0-0 1.11.91-1
    (Closes: #704516).
  * Updated arch64.diff patch for new upstream release.
  * Reconsidered package description (Closes: #681417).
  * Bump Standards-Version to 3.9.4.
  * Use xz compression for orig tarball.
  * Override hardening-no-fortify-functions false positives.
  * Removed obsolete d/NEWS.Debian file.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 04 Apr 2013 17:40:20 +0200

swt-gtk (3.8.0~rc4-1) unstable; urgency=low

  * New upstream release.
  * Ensure CFLAGS from d/rules are really used.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 10:53:16 +0200

swt-gtk (3.8.0~rc2-3) unstable; urgency=low

  * Upload to unstable.
  * Compile java code with source/target 1.5 to ensure java
    classes are compatible with Java 1.5+.  Thanks to James
    Page for the report and the patch.
    (Closes: #677025, LP: #1011103)
  * Add breaks on eclipse-rcp to ensure eclipse 3.7 is not
    installed with swt-gtk 3.8.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 12:38:50 +0200

swt-gtk (3.8.0~rc2-2) experimental; urgency=low

  * Prefer tight dependencies between the -JNI libraries
    to breaks.
  * Add breaks on the -JNI libraries built from 3.8.0~rc2-1
    to ensure the tight dependency is used.
  * Bump source format to 3.0 (quilt).

 -- Niels Thykier <niels@thykier.net>  Mon, 18 Jun 2012 12:42:27 +0200

swt-gtk (3.8.0~rc2-1) experimental; urgency=low

  [ Niels Thykier ]
  * Use breaks to ensure that the SWT JNI libraries are upgraded
    together with the Java package.
  * Add conflicts with older versions of SWT and its JNI libraries.
    This avoid this issue new and old versions of SWT and its JNI
    libraries being used (and crashing).  (Closes: #670756,
    LP: #1000272)
  * Remove alternatives for /usr/share/java/swt.jar.

  [ Jakub Adam ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 29 May 2012 17:02:51 +0200

swt-gtk (3.7.2-3) unstable; urgency=low

  [ Jakub Adam ]
  * debian/Makefile: Add missing SWTMessages*.properties files to
    swt-gtk-$(RELEASE).jar

  [ Niels Thykier ]
  * Use breaks to ensure that the SWT JNI libraries are upgraded
    together with the Java package.
  * Add conflicts with older versions of SWT and its JNI libraries.
    This avoid this issue new and old versions of SWT and its JNI
    libraries being used (and crashing).  (Closes: #670756,
    LP: #1000272)
  * Remove alternatives for /usr/share/java/swt.jar.
  * Add myself to uploaders.

 -- Niels Thykier <niels@thykier.net>  Thu, 24 May 2012 09:18:54 +0200

swt-gtk (3.8.0~m7-2) experimental; urgency=low

  * Fix build on 64-bit platforms.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 10 May 2012 13:13:13 +0200

swt-gtk (3.8.0~m7-1) experimental; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.
  * Updated 01-as-needed.diff patch for new upstream release.

  [ Niels Thykier ]
  * Merge make_linux.mak patches and pass LDFLAGS + CPPFLAGS
    to the underlying build system.
  * Refactored the d/rules files.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 09 May 2012 17:00:58 +0200

swt-gtk (3.8.0~m6-1) experimental; urgency=low

  * New upstream release.
  * debian/Makefile: Add missing SWTMessages*.properties files to
    swt-gtk-$(RELEASE).jar
  * Updated 01-as-needed.diff patch for new upstream release.
  * Updated arch64.diff patch for new upstream release.
  * Search for JNI libraries in Debian location /usr/lib/jni
    (Closes: #663734 #665195 #668002)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 29 Apr 2012 21:14:20 +0200

swt-gtk (3.7.2-2) unstable; urgency=low

  * debian/control: Change build-dep: libwebkit-dev -> libwebkitgtk-dev
    (Closes: #635428)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Mar 2012 14:55:53 +0200

swt-gtk (3.7.2-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.
  * debian/java-config/libswt-gtk-3-java, debian/libswt-gtk-3-java.links,
    debian/libswt-gtk-3-java.lintian-overrides, debian/manifest: Bumped
    version.
  * debian/control: Updated Standards-Version to 3.9.3
  * Bumped compat level to 9
  * debian/copyright: Updated copyright years & format URL.

  [ Jakub Adam ]
  * Add OSGi metadata to jar manifest
  * Add Jakub Adam to Uploaders

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 27 Feb 2012 22:42:15 +0200

swt-gtk (3.7.1-1) unstable; urgency=low

  * New upstream release
  * Updated arch64.diff patch for new upstream release.
  * debian/copyright: Updated copyright format & years


=== debian/control ===
Source: swt4-gtk
Section: libs
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Perez <blackxored@debian.org>,
           أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
           Jakub Adam <jakub.adam@ktknet.cz>,
           Niels Thykier <niels@thykier.net>
Build-Depends: default-jdk, libgnomeui-dev, libxtst-dev,
 libxcb-render-util0-dev, libxt-dev, libglib2.0-dev (>= 2.35),
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 fastjar, cdbs, debhelper (>= 9), libwebkitgtk-dev, javahelper,
 dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-java/swt-gtk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/swt-gtk.git
Homepage: http://www.eclipse.org/swt/

Package: libswt-gtk-4-java
Architecture: any
Section: java
Depends: libswt-gtk-4-jni (= ${binary:Version}), ${misc:Depends}
Suggests: libswt-gtk-4-java-gcj
Description: Standard Widget Toolkit for GTK+ Java library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.

Package: libswt-gtk-4-jni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libswt-gnome-gtk-4-jni
Breaks: libswt-gtk-4-java (<< ${binary:Version}), libswt-gtk-4-java (>> ${binary:Version})
Description: Standard Widget Toolkit for GTK+ JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the JNI libraries (atk, awt, gtk, pi).

Package: libswt-gnome-gtk-4-jni
Architecture: any
Depends: libswt-gtk-4-jni (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Standard Widget Toolkit for GTK+ GNOME JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the GNOME JNI library.

Package: libswt-cairo-gtk-4-jni
Architecture: any
Depends: libswt-gtk-4-jni (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Standard Widget Toolkit for GTK+ Cairo JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the Cairo JNI libraries.

Package: libswt-glx-gtk-4-jni
Architecture: any
Depends: libswt-gtk-4-jni (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Standard Widget Toolkit for GTK+ GLX JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the GLX JNI libraries.

Package: libswt-webkit-gtk-4-jni
Architecture: any
Depends: libswt-gtk-4-jni (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Breaks: libswt-gtk-4-java (<< ${binary:Version}), libswt-gtk-4-java (>> ${binary:Version})
Description: Standard Widget Toolkit for GTK+ WebKit JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the WebKit JNI libraries.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-fPIC
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
export DEB_LDFLAGS  := $(LDFLAGS)

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/javahelper.mk

include /usr/share/javahelper/java-vars.mk

BITS = $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

DEB_DH_MAKESHLIBS_ARGS_ALL := -Xjni

AWT_LIB_DIR := $(JAVA_ARCH)

export AWT_LIB_PATH=/usr/lib/jvm/default-java/jre/lib/$(AWT_LIB_DIR)


makecleanbuildir::patch

DEB_MAKE_MAKEFILE = debian/Makefile

post-patches:: patch_64_bit

clean:: unpatch_64_bit

patch_64_bit:
ifeq ($(BITS), 64)
	# Replaces occurrences in *.java files
	# of 'int /*long*/' with 'long /*int*/' for 64 bits
	find . -name '*.java' | xargs sed -i 's@int /\*long\*/@long /\*int\*/@g'

	# Add PTR_CFLAGS flags for 64 bits
	sed -i 's@SWT_VERSION=$$(maj_ver)$$(min_ver)@SWT_VERSION=$$(maj_ver)$$(min_ver)\nSWT_PTR_CFLAGS=-DJNI64@g' make_linux.mak
endif

unpatch_64_bit:
ifeq ($(BITS), 64)
	# Reverse patch_64_bit target
	find . -name '*.java' | xargs sed -i 's@long /\*int\*/@int /\*long\*/@g'
	sed -i '/SWT_PTR_CFLAGS=-DJNI64/d' make_linux.mak
endif

## swt4-gtk 4.5.0

=== debian/changelog ===
swt4-gtk (4.5.0-2) unstable; urgency=medium

  * Install artifacts into /usr/share/maven-repo.
  * Use secure URIs in Vcs-* fields.
  * Bump Standards-Version to 3.9.7 (no changes).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 13 Apr 2016 18:39:46 +0200

swt4-gtk (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Niels Thykier from Uploaders (Closes: #770583). Thanks for
    your contributions.
  * Refresh d/patches/01-make_linux.patch.
  * Bump Standards-Version to 3.9.6.
  * Fix wildcard-matches-nothing-in-dep5-copyright Lintian warning.
  * Build with GTK+ 3.0.
  * Streamline build dependencies.
  * Don't suggest nonexistent libswt-gtk-4-java-gcj.
  * Updated d/watch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 27 Jul 2015 18:14:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,18 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Perez <blackxored@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
-           Jakub Adam <jakub.adam@ktknet.cz>,
-           Niels Thykier <niels@thykier.net>
-Build-Depends: default-jdk, libgnomeui-dev, libxtst-dev,
- libxcb-render-util0-dev, libxt-dev, libglib2.0-dev (>= 2.35),
- libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
- fastjar, cdbs, debhelper (>= 9), libwebkitgtk-dev, javahelper,
- dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-java/swt-gtk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/swt-gtk.git
+           Jakub Adam <jakub.adam@ktknet.cz>
+Build-Depends: default-jdk, libgnomeui-dev, libxt-dev, libglu1-mesa-dev, fastjar, cdbs,
+ debhelper (>= 9), javahelper, maven-repo-helper, libgtk-3-dev
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/swt-gtk.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-java/swt-gtk.git
 Homepage: http://www.eclipse.org/swt/
 
 Package: libswt-gtk-4-java
 Architecture: any
 Section: java
 Depends: libswt-gtk-4-jni (= ${binary:Version}), ${misc:Depends}
-Suggests: libswt-gtk-4-java-gcj
 Description: Standard Widget Toolkit for GTK+ Java library
  The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
  For platforms with existing SWT implementations it provides efficient, portable

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,17 @@
 
 export AWT_LIB_PATH=/usr/lib/jvm/default-java/jre/lib/$(AWT_LIB_DIR)
 
+export GTK_VERSION=3.0
 
 makecleanbuildir::patch
 
 DEB_MAKE_MAKEFILE = debian/Makefile
 
 post-patches:: patch_64_bit
+
+install/libswt-gtk-4-java::
+	mh_installpoms -plibswt-gtk-4-java
+	mh_linkjar -plibswt-gtk-4-java -l debian/pom.xml usr/share/java/swt4.jar
 
 clean:: unpatch_64_bit

=== debian/watch ===
version=3
opts=uversionmangle=s/\.$/.0/ \
http://git.eclipse.org/c/platform/eclipse.platform.swt.git/refs \
.*/snapshot/R(\d+)_(\d+)(?:_(\d+))?.tar.xz

## swt4-gtk 4.6.0

=== debian/changelog ===
swt4-gtk (4.6.0-2) unstable; urgency=medium

  * Team upload.
  * Upload of version 4.6.0 to unstable.

 -- tony mancill <tmancill@debian.org>  Mon, 25 Jul 2016 21:52:32 -0700

swt4-gtk (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop d/patches/format-security.diff
    - fixed upstream.
  * Bump minimum Java version to 1.7.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 06 Jul 2016 21:03:55 +0200

swt4-gtk (4.5.0-3) unstable; urgency=medium

  * Enable compatibility with GTK 2.0
    - GTK 3.20 introduced some incompatible API changes causing broken UI in
      SWT. Since SWT upstream hasn't released a fixed version yet, the only
      solution for now is to enable legacy GTK 2.0 support and run affected
      applications with SWT_GTK3=0. The GTK+ 2.0 version of SWT JNI
      libraries is packaged as libswt-gtk2-4-jni.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 25 Apr 2016 17:08:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
            Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: default-jdk, libgnomeui-dev, libxt-dev, libglu1-mesa-dev, fastjar, cdbs,
- debhelper (>= 9), javahelper, maven-repo-helper, libgtk-3-dev
-Standards-Version: 3.9.7
+ debhelper (>= 9), javahelper, maven-repo-helper, libgtk-3-dev, libgtk2.0-dev
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/swt-gtk.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-java/swt-gtk.git
 Homepage: http://www.eclipse.org/swt/
@@ -32,6 +32,19 @@
  and fast access to native controls and user interface facilities.
  .
  This package includes the JNI libraries (atk, awt, gtk, pi).
+
+Package: libswt-gtk2-4-jni
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libswt-gnome-gtk-4-jni
+Description: Standard Widget Toolkit for GTK+ 2.0 JNI library
+ The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
+ For platforms with existing SWT implementations it provides efficient, portable
+ and fast access to native controls and user interface facilities.
+ .
+ This package includes legacy version of pi JNI library that uses GTK+ 2.0 as
+ its native GUI back end. Set environment variable SWT_GTK3=0 before launching
+ the SWT application to use it.
 
 Package: libswt-gnome-gtk-4-jni
 Architecture: any

## swt4-gtk 4.6.3

=== debian/changelog ===
swt4-gtk (4.6.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libswt-gnome-gtk-4-jni (Closes: #868404)
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Feb 2018 20:58:30 -0500

swt4-gtk (4.6.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Adapted the build to the upstream source layout
  * Improved the hardening of the native libraries
  * Changed the section from libs to java
  * Switch to debhelper level 10
  * Modified debian/watch to use the git mode
  * Standards-Version updated to 4.1.1
  * Updated debian/README.Debian

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Oct 2017 00:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,29 @@
 Source: swt4-gtk
-Section: libs
+Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Adrian Perez <blackxored@debian.org>,
-           أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
-           Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: default-jdk, libgnomeui-dev, libxt-dev, libglu1-mesa-dev, fastjar, cdbs,
- debhelper (>= 9), javahelper, maven-repo-helper, libgtk-3-dev, libgtk2.0-dev
-Standards-Version: 3.9.8
+Uploaders:
+ Adrian Perez <blackxored@debian.org>,
+ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
+ Jakub Adam <jakub.adam@ktknet.cz>
+Build-Depends:
+ ant,
+ debhelper (>= 10),
+ default-jdk,
+ fastjar,
+ javahelper,
+ libglu1-mesa-dev,
+ libgtk-3-dev,
+ libgtk2.0-dev,
+ libxt-dev,
+ maven-repo-helper
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/swt-gtk.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-java/swt-gtk.git
 Homepage: http://www.eclipse.org/swt/
 
 Package: libswt-gtk-4-java
 Architecture: any
-Section: java
 Depends: libswt-gtk-4-jni (= ${binary:Version}), ${misc:Depends}
 Description: Standard Widget Toolkit for GTK+ Java library
  The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
@@ -24,7 +33,6 @@
 Package: libswt-gtk-4-jni
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libswt-gnome-gtk-4-jni
 Breaks: libswt-gtk-4-java (<< ${binary:Version}), libswt-gtk-4-java (>> ${binary:Version})
 Description: Standard Widget Toolkit for GTK+ JNI library
  The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
@@ -36,7 +44,6 @@
 Package: libswt-gtk2-4-jni
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libswt-gnome-gtk-4-jni
 Description: Standard Widget Toolkit for GTK+ 2.0 JNI library
  The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
  For platforms with existing SWT implementations it provides efficient, portable
@@ -45,16 +52,6 @@
  This package includes legacy version of pi JNI library that uses GTK+ 2.0 as
  its native GUI back end. Set environment variable SWT_GTK3=0 before launching
  the SWT application to use it.
-
-Package: libswt-gnome-gtk-4-jni
-Architecture: any
-Depends: libswt-gtk-4-jni (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Standard Widget Toolkit for GTK+ GNOME JNI library
- The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
- For platforms with existing SWT implementations it provides efficient, portable
- and fast access to native controls and user interface facilities.
- .
- This package includes the GNOME JNI library.
 
 Package: libswt-cairo-gtk-4-jni
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-fPIC
DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
export DEB_LDFLAGS  := $(LDFLAGS)

include /usr/share/javahelper/java-vars.mk

DEB_DH_MAKESHLIBS_ARGS_ALL := -Xjni

AWT_LIB_DIR := $(JAVA_ARCH)

export AWT_LIB_PATH=/usr/lib/jvm/default-java/jre/lib/$(AWT_LIB_DIR)

MAKE_ARGS=-C bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library -I../../../Eclipse\ SWT/common/library/ -f make_linux.mak

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_BITS), 64)
  IS64=true
  export SWT_PTR_CFLAGS=-DJNI64
else
  IS64=false
endif


%:
	dh $@ --buildsystem=makefile --with maven-repo-helper --with javahelper

override_dh_auto_build:
	cd bundles/org.eclipse.swt && ant -f buildFragment.xml build.jars -Dswt.ws=gtk -Dplugindir=. -Dis64=$(IS64)
	cp bundles/org.eclipse.swt/swt.jar swt-gtk-4.6.0.jar

	cp bundles/org.eclipse.swt/Eclipse\ SWT/common/library/*         bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
	cp bundles/org.eclipse.swt/Eclipse\ SWT\ AWT/gtk/library/*.c     bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
	cp bundles/org.eclipse.swt/Eclipse\ SWT\ PI/cairo/library/*      bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
	cp bundles/org.eclipse.swt/Eclipse\ SWT\ OpenGL/glx/library/*    bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
	cp bundles/org.eclipse.swt/Eclipse\ SWT\ PI/common/library/*     bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
	cp bundles/org.eclipse.swt/Eclipse\ SWT\ WebKit/gtk/library/*    bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/

	GTK_VERSION=3.0 dh_auto_build -- $(MAKE_ARGS) make_atk make_awt make_cairo make_glx make_swt make_webkit
	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/*.o
	GTK_VERSION=2.0 dh_auto_build -- $(MAKE_ARGS) make_swtpi

	cp bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/*.so .

override_dh_auto_clean:
	dh_auto_clean -- $(MAKE_ARGS) make_linux.mak clean
	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/callback*
	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/make_common.mak
	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/swt*
	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/cairo*
	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/glx*
	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/c*
	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/webkit*

## swt4-gtk 4.7.3

=== debian/changelog ===
swt4-gtk (4.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Changed target release to Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Sep 2018 23:50:52 +0200

swt4-gtk (4.6.3-3) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Set javac release to 7 for JDK 10 compatibility (Closes: #908166)
  * Add patch for missing swt-gnome-gtk (Closes: #908281)

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.2.1
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Sep 2018 17:45:21 +0200

swt4-gtk (4.6.3-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #874134)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Mar 2018 17:59:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends:
  ant,
- debhelper (>= 10),
+ debhelper (>= 11),
  default-jdk,
  fastjar,
  javahelper,
@@ -17,9 +17,9 @@
  libgtk2.0-dev,
  libxt-dev,
  maven-repo-helper
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/swt-gtk.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-java/swt-gtk.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/swt-gtk.git
+Vcs-Browser: https://salsa.debian.org/java-team/swt-gtk
 Homepage: http://www.eclipse.org/swt/
 
 Package: libswt-gtk-4-java

## swt4-gtk 4.8.0

=== debian/changelog ===
swt4-gtk (4.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Nov 2018 14:26:38 +0100

## swt4-gtk 4.9.0

=== debian/changelog ===
swt4-gtk (4.9.0-1~18.04.1) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1817567.
  * Backport packaging changes from 4.10.0.
    - Patch build system to respect DEB_HOST_ARCH_BITS value passed to it.
      Fixes runtime problem with 32-bit builds. (Closes: #904754)
    - Removed the wrong --has-package-version flag for the SWT pom
    - libswt-webkit-gtk-4-jni: Depend on libwebkit2gtk-4.0-37.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2019 21:35:51 +0100

swt4-gtk (4.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Dec 2018 11:16:47 +0100

=== debian/control ===
--- 
+++ 
@@ -75,7 +75,7 @@
 
 Package: libswt-webkit-gtk-4-jni
 Architecture: any
-Depends: libswt-gtk-4-jni (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libswt-gtk-4-jni (= ${binary:Version}), libwebkit2gtk-4.0-37, ${shlibs:Depends}, ${misc:Depends}
 Breaks: libswt-gtk-4-java (<< ${binary:Version}), libswt-gtk-4-java (>> ${binary:Version})
 Description: Standard Widget Toolkit for GTK+ WebKit JNI library
  The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.

=== debian/watch ===
version=3
opts=mode=git,repack,compression=xz,uversionmangle=s/\.$/.0/ \
http://git.eclipse.org/gitroot/platform/eclipse.platform.swt.git refs/tags/R(\d+)_(\d+)(?:_(\d+))?

## swt4-gtk 4.10.0

=== debian/changelog ===
swt4-gtk (4.10.0-3) unstable; urgency=medium

  * Team upload.
  * Patch build system to respect DEB_HOST_ARCH_BITS value passed to it.
    Fixes runtime problem with 32-bit builds. (Closes: #904754)

 -- tony mancill <tmancill@debian.org>  Sun, 06 Jan 2019 20:59:52 -0800

swt4-gtk (4.10.0-2) unstable; urgency=medium

  * Team upload.
  * Removed the wrong --has-package-version flag for the SWT pom

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Jan 2019 12:48:24 +0100

swt4-gtk (4.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bicha ]
  * libswt-webkit-gtk-4-jni depends on libwebkit2gtk-4.0-37 (Closes: #879228)

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - GTK 2 support has been removed
  * The license changed to EPL-2.0
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 28 Dec 2018 10:55:42 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,9 @@
  javahelper,
  libglu1-mesa-dev,
  libgtk-3-dev,
- libgtk2.0-dev,
  libxt-dev,
  maven-repo-helper
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/java-team/swt-gtk.git
 Vcs-Browser: https://salsa.debian.org/java-team/swt-gtk
 Homepage: http://www.eclipse.org/swt/
@@ -40,18 +39,6 @@
  and fast access to native controls and user interface facilities.
  .
  This package includes the JNI libraries (atk, awt, gtk, pi).
-
-Package: libswt-gtk2-4-jni
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Standard Widget Toolkit for GTK+ 2.0 JNI library
- The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
- For platforms with existing SWT implementations it provides efficient, portable
- and fast access to native controls and user interface facilities.
- .
- This package includes legacy version of pi JNI library that uses GTK+ 2.0 as
- its native GUI back end. Set environment variable SWT_GTK3=0 before launching
- the SWT application to use it.
 
 Package: libswt-cairo-gtk-4-jni
 Architecture: any

## swt4-gtk 4.12.0

=== debian/changelog ===
swt4-gtk (4.12.0-1build1) eoan; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2019 11:52:56 +0200

swt4-gtk (4.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - No longer set the is64 build property
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Jul 2019 23:51:31 +0200

swt4-gtk (4.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2019 23:05:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,7 @@
 MAKE_ARGS=-C bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library -I../../../Eclipse\ SWT/common/library/ -f make_linux.mak
 
 ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_BITS), 64)
-  IS64=true
   export SWT_PTR_CFLAGS=-DJNI64
-else
-  IS64=false
 endif
 
 
@@ -28,7 +25,7 @@
 	dh $@ --buildsystem=makefile --with maven-repo-helper --with javahelper
 
 override_dh_auto_build:
-	cd bundles/org.eclipse.swt && ant -f buildFragment.xml build.jars -Dswt.ws=gtk -Dplugindir=. -Dis64=$(IS64)
+	cd bundles/org.eclipse.swt && ant -f buildFragment.xml build.jars -Dswt.ws=gtk -Dplugindir=.
 	cp bundles/org.eclipse.swt/swt.jar swt-gtk-4.6.0.jar
 
 	cp bundles/org.eclipse.swt/Eclipse\ SWT/common/library/*         bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
@@ -38,9 +35,7 @@
 	cp bundles/org.eclipse.swt/Eclipse\ SWT\ PI/common/library/*     bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
 	cp bundles/org.eclipse.swt/Eclipse\ SWT\ WebKit/gtk/library/*    bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
 
-	GTK_VERSION=3.0 dh_auto_build -- $(MAKE_ARGS) make_atk make_awt make_cairo make_glx make_swt make_webkit
-	rm -f bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/*.o
-	GTK_VERSION=2.0 dh_auto_build -- $(MAKE_ARGS) make_swtpi
+	GTK_VERSION=3.0 dh_auto_build -- $(MAKE_ARGS) make_atk make_awt make_cairo make_glx make_swt make_webkit make_swtpi
 
 	cp bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/*.so .

## swt4-gtk 4.13.0

=== debian/changelog ===
swt4-gtk (4.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.4.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Dec 2019 12:53:59 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libgtk-3-dev,
  libxt-dev,
  maven-repo-helper
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/swt-gtk.git
 Vcs-Browser: https://salsa.debian.org/java-team/swt-gtk
 Homepage: http://www.eclipse.org/swt/

## swt4-gtk 4.15.0

=== debian/changelog ===
swt4-gtk (4.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Updated the watch URL
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 May 2020 16:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends:
  ant,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jdk,
  fastjar,
  javahelper,
@@ -16,7 +16,7 @@
  libgtk-3-dev,
  libxt-dev,
  maven-repo-helper
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/swt-gtk.git
 Vcs-Browser: https://salsa.debian.org/java-team/swt-gtk
 Homepage: http://www.eclipse.org/swt/

## swt4-gtk 4.16.0

=== debian/changelog ===
swt4-gtk (4.16.0-2) unstable; urgency=medium

  * Team upload.
  * Update debian/manifest file.
    - Update Bundle-Version from upstream manifest file.
    - Remove org.eclipse.swt.internal.theme from export package list.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 05 Sep 2020 18:26:10 +0100

swt4-gtk (4.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Jun 2020 01:14:55 +0200

## swt4-gtk 4.17.0

=== debian/changelog ===
swt4-gtk (4.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.17.0
  * Set "Rules-Requires-Root: no" in debian/control
  * Fix wildcard matches in debian/copyright
  * Update to debhelper compat level 13
  * Use upstream version for versioned JAR name
  * Update links for current upstream version

 -- tony mancill <tmancill@debian.org>  Sat, 10 Oct 2020 12:21:45 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends:
  ant,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  fastjar,
  javahelper,
@@ -20,6 +20,7 @@
 Vcs-Git: https://salsa.debian.org/java-team/swt-gtk.git
 Vcs-Browser: https://salsa.debian.org/java-team/swt-gtk
 Homepage: http://www.eclipse.org/swt/
+Rules-Requires-Root: no
 
 Package: libswt-gtk-4-java
 Architecture: any

## swt4-gtk 4.18.0

=== debian/changelog ===
swt4-gtk (4.18.0-2) unstable; urgency=medium

  * Team upload.
  * Avoid gdk_texture_new_from_file to fix library loading failure.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 29 Dec 2020 14:51:44 +0000

swt4-gtk (4.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 28 Dec 2020 11:48:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
+
 export DEB_CFLAGS_MAINT_APPEND=-fPIC
+export DEB_CPPFLAGS_MAINT_APPEND=-DNO_gdk_1texture_1new_1from_1file
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/buildflags.mk
 CFLAGS+=$(CPPFLAGS)
@@ -26,7 +29,7 @@
 
 override_dh_auto_build:
 	cd bundles/org.eclipse.swt && ant -f buildFragment.xml build.jars -Dswt.ws=gtk -Dplugindir=.
-	cp bundles/org.eclipse.swt/swt.jar swt-gtk-4.6.0.jar
+	cp bundles/org.eclipse.swt/swt.jar swt-gtk-$(DEB_UPSTREAM_VERSION).jar
 
 	cp bundles/org.eclipse.swt/Eclipse\ SWT/common/library/*         bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
 	cp bundles/org.eclipse.swt/Eclipse\ SWT\ AWT/gtk/library/*.c     bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/

## swt4-gtk 4.20.0

=== debian/changelog ===
swt4-gtk (4.20.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 15 Aug 2021 11:01:24 +0100

swt4-gtk (4.20.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.20.0
    - Refresh patches.
    - Remove NO_gdk_1texture_1new_1from_1file from d/rules.
    - Update copyright.
  * Update to new version fixes segfault on ppc64el. (Closes: #979609)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 14 Aug 2021 00:38:13 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libgtk-3-dev,
  libxt-dev,
  maven-repo-helper
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/swt-gtk.git
 Vcs-Browser: https://salsa.debian.org/java-team/swt-gtk
 Homepage: http://www.eclipse.org/swt/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_CFLAGS_MAINT_APPEND=-fPIC
-export DEB_CPPFLAGS_MAINT_APPEND=-DNO_gdk_1texture_1new_1from_1file
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/buildflags.mk
 CFLAGS+=$(CPPFLAGS)

=== debian/watch ===
version=3
opts=mode=git,repack,compression=xz,uversionmangle=s/\.$/.0/ \
https://git.eclipse.org/r/platform/eclipse.platform.swt.git refs/tags/R(\d+)_(\d+)(?:_(\d+))?

## swt4-gtk 4.22.0

=== debian/changelog ===
swt4-gtk (4.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed the jar installed in /usr/lib/java (keep the link only)
  * Removed Adrian Perez from the uploaders (Closes: #1012042)
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Dec 2022 11:38:21 +0100

## swt4-gtk 4.26.0

=== debian/changelog ===
swt4-gtk (4.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Track and download the new releases from GitHub
  * Filter out .gitattributes from the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 Dec 2022 11:20:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
- Adrian Perez <blackxored@debian.org>,
  أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
  Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends:
@@ -16,7 +15,7 @@
  libgtk-3-dev,
  libxt-dev,
  maven-repo-helper
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/swt-gtk.git
 Vcs-Browser: https://salsa.debian.org/java-team/swt-gtk
 Homepage: http://www.eclipse.org/swt/

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 
 override_dh_auto_build:
 	cd bundles/org.eclipse.swt && ant -f buildFragment.xml build.jars -Dswt.ws=gtk -Dplugindir=.
-	cp bundles/org.eclipse.swt/swt.jar swt-gtk-$(DEB_UPSTREAM_VERSION).jar
 
 	cp bundles/org.eclipse.swt/Eclipse\ SWT/common/library/*         bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
 	cp bundles/org.eclipse.swt/Eclipse\ SWT\ AWT/gtk/library/*.c     bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/

## swt4-gtk 4.28.0

=== debian/changelog ===
swt4-gtk (4.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Set the required SWT_JAVA_HOME environment variable
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Jul 2024 17:29:01 +0200

swt4-gtk (4.26.0-2) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bícha ]
  * Switch from webkit2gtk 4.0 to 4.1

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Jan 2024 14:57:21 +0100

## swt4-gtk 4.29.0

=== tests/org.eclipse.swt.tests.gtk/ManualNativeCTests/SwtFixed_native/GTK4/Makefile ===
CFLAGS = `pkg-config --cflags gtk+-4.0` -g
LIBS = `pkg-config --libs gtk+-4.0`
OBJ = simple_button_app.o os_custom.o

simple_button_app: $(OBJ)
	$(CC) $(CFLAGS) -o simple_button_app $(OBJ) $(LIBS) $(LDFLAGS)

clean:
	$(RM) $(OBJ) simple_button_app

all: simple_button_app

=== debian/changelog ===
swt4-gtk (4.29.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Jul 2024 12:45:35 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libgtk-3-dev,
  libxt-dev,
  maven-repo-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/swt-gtk.git
 Vcs-Browser: https://salsa.debian.org/java-team/swt-gtk
 Homepage: http://www.eclipse.org/swt/
@@ -62,7 +62,7 @@
 
 Package: libswt-webkit-gtk-4-jni
 Architecture: any
-Depends: libswt-gtk-4-jni (= ${binary:Version}), libwebkit2gtk-4.0-37, ${shlibs:Depends}, ${misc:Depends}
+Depends: libswt-gtk-4-jni (= ${binary:Version}), libwebkit2gtk-4.1-0, ${shlibs:Depends}, ${misc:Depends}
 Breaks: libswt-gtk-4-java (<< ${binary:Version}), libswt-gtk-4-java (>> ${binary:Version})
 Description: Standard Widget Toolkit for GTK+ WebKit JNI library
  The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	cp bundles/org.eclipse.swt/Eclipse\ SWT\ PI/common/library/*     bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
 	cp bundles/org.eclipse.swt/Eclipse\ SWT\ WebKit/gtk/library/*    bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/
 
-	GTK_VERSION=3.0 dh_auto_build -- $(MAKE_ARGS) make_atk make_awt make_cairo make_glx make_swt make_webkit make_swtpi
+	SWT_JAVA_HOME=/usr/lib/jvm/default-java/ GTK_VERSION=3.0 dh_auto_build -- $(MAKE_ARGS) make_atk make_awt make_cairo make_glx make_swt make_webkit make_swtpi
 
 	cp bundles/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library/*.so .

=== debian/watch ===
version=4
opts=mode=git,repack,compression=xz,uversionmangle=s/\.$/.0/ \
https://github.com/eclipse-platform/eclipse.platform.swt refs/tags/R(\d+)_(\d+)(?:_(\d+))?
